# Update appointment details **POST /appointments/{id}/_actions/update-details** Update appointment details (start, end, participants) in a single operation ## Servers - https://api.development.pexipengage.com/enterprises/acme: https://api.development.pexipengage.com/enterprises/acme () ## Authentication methods - O auth2 ## Parameters ### Headers - **Authorization** (string) Bearer token used for authorization - **X-Correlation-Id** (string) Unique identifier to allow referencing a particular transaction or event chain - **Accept-Language** (string) Returns the requested resources translated according to the passed languages (see [translatable resources](../topic/topic-languages-translations\#topic-translatable-resources)) ### Path parameters - **id** (string) Primary identifier of the requested resource ### Body: application/json (object) - **start** (string(date-time)) - **end** (string(date-time)) - **officeId** (string) - **appointmentParticipants** (array[object] | null) - **answers** (array[object] | null) - **userCommunication** (object | null) - **messageForCustomer** (string | null) - **updatedByType** (string | null) - **updatedById** (string | null) ## Responses ### 200 Successful operation #### Body: application/json (object) - **data** (object) ### 404 Resource not found #### Body: application/json (object) - **errors** (array[object]) ### 422 Business validation failed * `APPOINTMENT_DETAILS_UPDATE_INVALID_STATUS` * `APPOINTMENT_START_AFTER_END` * `APPOINTMENT_PARTICIPANTS_NOT_UNIQUE` See [Error codes](#topic-error-codes) #### Body: application/json (object) - **errors** (array[object]) [Powered by Bump.sh](https://bump.sh)